Deletes a single Knowledge Base Entry using the `id` field
Server:
https://{kibana_url}
- DELETE /api/security_ai_assistant/knowledge_base/entries/{id}
- DELETE /s/{space_id}/api/security_ai_assistant/knowledge_base/entries/{id}
Refer to Spaces for more information.
Delete a Knowledge Base Entry by its unique id.
Path Parameters
-
idstring · min: 1required -
The unique identifier (
id) of the Knowledge Base Entry to delete.
Responses
Successful request returning the id of the deleted Knowledge Base Entry.
-
idstring · min: 1required -
A string that does not contain only whitespace characters.
Bad Request response.
-
errorstringrequired -
Error type or category.
-
messagestringrequired -
Detailed error message.
-
statusCodenumberrequired -
HTTP status code of the error.